@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
resets.h File Reference
`#include "pico.h"`
`#include "hardware/structs/resets.h"`
Include dependency graph for resets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PARAM_ASSERTIONS_ENABLED_HARDWARE_RESETS 0
#define | HARDWARE_RESETS_ENABLE_SDK1XX_COMPATIBILITY 1

## Functions

static __force_inline void | reset_block_reg_mask (io_rw_32 *reset, uint32_t mask)
static __force_inline void | unreset_block_reg_mask (io_rw_32 *reset, uint32_t mask)
static __force_inline void | unreset_block_reg_mask_wait_blocking (io_rw_32 *reset, io_ro_32 *reset_done, uint32_t mask)
static __force_inline void | reset_block_mask (uint32_t bits)
| Reset the specified HW blocks.
static __force_inline void | unreset_block_mask (uint32_t bits)
| bring specified HW blocks out of reset
static __force_inline void | unreset_block_mask_wait_blocking (uint32_t bits)
| Bring specified HW blocks out of reset and wait for completion.
static __force_inline void | reset_block (uint32_t bits)
static __force_inline void | unreset_block (uint32_t bits)
static __force_inline void | unreset_block_wait (uint32_t bits)
static void | reset_block_num (uint32_t block_num)
| Reset the specified HW block.
static void | unreset_block_num (uint block_num)
| bring specified HW block out of reset
static void | unreset_block_num_wait_blocking (uint block_num)
| Bring specified HW block out of reset and wait for completion.
static void | reset_unreset_block_num_wait_blocking (uint block_num)
| Reset the specified HW block, and then bring at back out of reset and wait for completion.